Annotate(3)

NAME
Algorithm::Annotate - represent a series of changes in annotate form

SYNOPSIS
use Algorithm::Annotate;

my $ann = Algorithm::Annotate->new ();

$ann->add ($info1, \@seq1);

$ann->add ($info2, \@seq2); $ann->add ($info3, \@seq3);

$result = $ann->result;

DESCRIPTION
Algorithm::Annotate generates a list that is useful for generating output simliar to "cvs annotate".

TODO
Might parse diff output and accumulate them for generating the annotate list.

AUTHORS
Chia-liang Kao <clkao@clkao.org>

COPYRIGHT
Copyright 2003 by Chia-liang Kao <clkao@clkao.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>